# XQilla DOM3 API Documentation

# DOMImplementation.hpp File Reference

`#include <xercesc/dom/DOMImplementationLS.hpp>`
`#include <xercesc/dom/DOMException.hpp>`
`#include <xercesc/dom/DOMLSException.hpp>`
`#include <xercesc/dom/DOMRangeException.hpp>`
`#include <xercesc/util/PlatformUtils.hpp>`
Include dependency graph for DOMImplementation.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | xercesc::DOMImplementation
| The `DOMImplementation` interface provides a number of methods for performing operations that are independent of any particular instance of the document object model. More...

## Namespaces

namespace | xercesc

| This class holds the list of registered DOMImplementations.

## Defines

#define | XERCESC_INCLUDE_GUARD_DOMIMPLEMENTATION_HPP

## Define Documentation

#define XERCESC_INCLUDE_GUARD_DOMIMPLEMENTATION_HPP